%define upstream_name Crypt-CipherSaber
%define upstream_version 1.01

%{?perl_default_filter}

Name:		    perl-%{upstream_name}
Version:	    %perl_convert_version %{upstream_version}
Release:	    %mkrel 9
Summary:	    Perl module implementing CipherSaber encryption
License:	    GPL or Artistic
Group:		    Development/Perl
Url:		    https://metacpan.org/release/%{upstream_name}
Source:		    https://cpan.metacpan.org/modules/by-module/Crypt/%{upstream_name}-%{upstream_version}.tar.gz
# Fix parsing encrypted file, bug #1104075, CPAN RT#28370
Patch0:         Crypt-CipherSaber-1.01-Fix-reading-IV-with-new-lines-from-a-file.patch
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Test::Simple) >= 0.60
BuildRequires:  perl(Test::Warn)
BuildRequires:  perl(Test::Pod)
BuildRequires:  perl(Test::Pod::Coverage)
BuildConflicts:  perl(Module::Signature)
BuildArch:	    noarch


%description
The Crypt::CipherSaber module implements CipherSaber encryption, described at
http://ciphersaber.gurus.com. It is simple, fairly speedy, and relatively
secure algorithm based on RC4.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch -P 0 -p1

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%__make test

%install
%make_install

%files 
%doc Changes README
%{perl_vendorlib}/Crypt
%{_mandir}/*/*


%changelog
* Sun Dec 22 2024 pterjan <pterjan> 1.10.0-9.mga10
+ Revision: 2128020
- Rebuild for patchN deprecation

* Thu Apr 28 2022 tv <tv> 1.10.0-8.mga9
+ Revision: 1854889
- I cannot reproduce the one failure seen in last autorebuild but there's a patch than can helps

* Sun Mar 20 2022 umeabot <umeabot> 1.10.0-7.mga9
+ Revision: 1802708
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.10.0-6.mga8
+ Revision: 1493614
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.10.0-5.mga7
+ Revision: 1266794
- Mageia 7 Mass Rebuild

* Sat Nov 26 2016 daviddavid <daviddavid> 1.10.0-4.mga6
+ Revision: 1070349
- do not parallel make to fix testsuite

* Sat Jun 18 2016 pterjan <pterjan> 1.10.0-3.mga6
+ Revision: 1024508
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1.10.0-2.mga6
+ Revision: 968342
- Mageia 6 Mass Rebuild

* Mon Jul 06 2015 sander85 <sander85> 1.10.0-1.mga6
+ Revision: 852065
- update to 1.01

* Sat Jul 04 2015 sander85 <sander85> 1.00-11.mga6
+ Revision: 850539
- update to

* Wed Oct 15 2014 umeabot <umeabot> 1.00-11.mga5
+ Revision: 743214
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.00-10.mga5
+ Revision: 684032
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.00-9.mga4
+ Revision: 510358
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.00-8.mga3
+ Revision: 364831
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 1.00-7.mga1
+ Revision: 31816
- mageia rebuild
- imported package perl-Crypt-CipherSaber

